创建 androidDeviceOwnerEnrollmentProfile
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
创建新的 androidDeviceOwnerEnrollmentProfile 对象。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
POST /deviceManagement/androidDeviceOwnerEnrollmentProfiles
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 androidDeviceOwnerEnrollmentProfile 对象的 JSON 表示形式。
下表显示创建 androidDeviceOwnerEnrollmentProfile 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| accountId | String | 注册配置文件隶属的租户 GUID。 |
| id | String | 注册配置文件的唯一 GUID。 |
| displayName | String | 注册配置文件的显示名称。 |
| 说明 | String | 注册配置文件的说明。 |
| enrollmentMode | androidDeviceOwnerEnrollmentMode | 使用此注册配置文件的设备注册模式。 可取值为:corporateOwnedDedicatedDevice、corporateOwnedFullyManaged、corporateOwnedWorkProfile、corporateOwnedAOSPUserlessDevice、corporateOwnedAOSPUserAssociatedDevice。 |
| enrollmentTokenType | androidDeviceOwnerEnrollmentTokenType | 注册配置文件的注册令牌类型。 可取值为:default、corporateOwnedDedicatedDeviceWithAzureADSharedMode。 |
| createdDateTime | DateTimeOffset | 注册配置文件的创建日期/时间。 |
| lastModifiedDateTime | DateTimeOffset | 上次修改注册配置文件的日期/时间。 |
| tokenValue | String | 为此注册配置文件最新创建的令牌的值。 |
| tokenCreationDateTime | DateTimeOffset | 最近创建的令牌的创建日期时间。 |
| tokenExpirationDateTime | DateTimeOffset | 最新创建的令牌的到期日期/时间。 |
| enrolledDeviceCount | Int32 | 已使用此注册配置文件进行注册的 Android 设备总数。 |
| enrollmentTokenUsageCount | Int32 | 已使用当前令牌注册的 AOSP 设备总数。 |
| qrCodeContent | String | 用于生成此令牌的 QR 码的字符串。 |
| qrCodeImage | mimeContent | 用于生成此令牌的 QR 码的字符串。 |
| roleScopeTagIds | 字符串集合 | 此实体实例的范围标记列表。 |
| wifiSsid | String | 包含 WLAN 登录 ssid 的字符串 |
| wifiPassword | String | 包含 WLAN 登录密码的字符串 |
| wifiSecurityType | aospWifiSecurityType | 包含 WLAN 安全类型的字符串。 可取值为:none、wpa、wep。 |
| wifiHidden | 布尔值 | 指示是否已启用隐藏的 wifi 网络的布尔值 |
响应
如果成功,此方法在响应正文中返回 响应代码和 201 Created androidDeviceOwnerEnrollmentProfile 对象。
示例
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/deviceManagement/androidDeviceOwnerEnrollmentProfiles
Content-type: application/json
Content-length: 922
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerEnrollmentProfile",
"accountId": "Account Id value",
"displayName": "Display Name value",
"description": "Description value",
"enrollmentMode": "corporateOwnedFullyManaged",
"enrollmentTokenType": "corporateOwnedDedicatedDeviceWithAzureADSharedMode",
"tokenValue": "Token Value value",
"tokenCreationDateTime": "2017-01-01T00:01:38.5314127-08:00",
"tokenExpirationDateTime": "2016-12-31T23:59:54.0590989-08:00",
"enrolledDeviceCount": 3,
"enrollmentTokenUsageCount": 9,
"qrCodeContent": "Qr Code Content value",
"qrCodeImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"wifiSsid": "Wifi Ssid value",
"wifiPassword": "Wifi Password value",
"wifiSecurityType": "wpa",
"wifiHidden": true
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1094
{
"@odata.type": "#microsoft.graph.androidDeviceOwnerEnrollmentProfile",
"accountId": "Account Id value",
"id": "a8d0245e-245e-a8d0-5e24-d0a85e24d0a8",
"displayName": "Display Name value",
"description": "Description value",
"enrollmentMode": "corporateOwnedFullyManaged",
"enrollmentTokenType": "corporateOwnedDedicatedDeviceWithAzureADSharedMode",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"tokenValue": "Token Value value",
"tokenCreationDateTime": "2017-01-01T00:01:38.5314127-08:00",
"tokenExpirationDateTime": "2016-12-31T23:59:54.0590989-08:00",
"enrolledDeviceCount": 3,
"enrollmentTokenUsageCount": 9,
"qrCodeContent": "Qr Code Content value",
"qrCodeImage": {
"@odata.type": "microsoft.graph.mimeContent",
"type": "Type value",
"value": "dmFsdWU="
},
"roleScopeTagIds": [
"Role Scope Tag Ids value"
],
"wifiSsid": "Wifi Ssid value",
"wifiPassword": "Wifi Password value",
"wifiSecurityType": "wpa",
"wifiHidden": true
}
反馈
提交和查看相关反馈